StartupEvents.registry("block", event => {

  event.create('drp_sapling_golden')
    .displayName("The Golden Sapling")
    .model('kubejs:block/drp_sapling_golden')
    .hardness(0.01)
    .requiresTool(false)
    .defaultCutout()
    .soundType('grass')
    .notSolid()
    .noCollision()
    .box(2, 0, 2, 14, 12, 14)

  event.create('compacted_wood')
    .displayName('Compacted Wood')
    .model('kubejs:block/compacted_wood')
    .hardness(2.0)
    .resistance(3.0)
    .soundType("wood")
    .requiresTool(false)
    .fullBlock(true)

  event.create('super_compacted_wood')
    .displayName('Super Compacted Wood')
    .model('kubejs:block/super_compacted_wood')
    .hardness(4.0)
    .resistance(6.0)
    .soundType("wood")
    .requiresTool(false)
    .fullBlock(true)

  event.create('crate_chorus')
    .displayName("Chorus Fruit Crate")
    .defaultCutout()
    .hardness(0.75)
    .tagBlock('minecraft:mineable/axe')
    .model('kubejs:block/crate_block_chorus')
    .requiresTool(false)
    .soundType("wood")
    .property(BlockProperties.HORIZONTAL_FACING)
    .placementState(event => {
      event.set(
        BlockProperties.HORIZONTAL_FACING,
        `${event.getHorizontalDirection().getOpposite()}`
      )
    })
    .blockstateJson = {
    "variants": {
      "facing=north": { "model": "kubejs:block/crate_block_chorus" },
      "facing=east": { "model": "kubejs:block/crate_block_chorus", "y": 90 },
      "facing=south": { "model": "kubejs:block/crate_block_chorus", "y": 180 },
      "facing=west": { "model": "kubejs:block/crate_block_chorus", "y": 270 },
    }
  }

  event.create('crate_crimson_mush')
    .displayName("Crimson Mushroom Crate")
    .defaultCutout()
    .hardness(0.75)
    .tagBlock('minecraft:mineable/axe')
    .model('kubejs:block/crate_block_crimson')
    .requiresTool(false)
    .soundType("wood")
    .property(BlockProperties.HORIZONTAL_FACING)
    .placementState(event => {
      event.set(
        BlockProperties.HORIZONTAL_FACING,
        `${event.getHorizontalDirection().getOpposite()}`
      )
    })
    .blockstateJson = {
    "variants": {
      "facing=north": { "model": "kubejs:block/crate_block_crimson" },
      "facing=east": { "model": "kubejs:block/crate_block_crimson", "y": 90 },
      "facing=south": { "model": "kubejs:block/crate_block_crimson", "y": 180 },
      "facing=west": { "model": "kubejs:block/crate_block_crimson", "y": 270 },
    }
  }

})
